a = 1005
for i in range(0, 33):
    # print(2**i, 2**i * 2, 2**i % a, 2**i * 2 % a)
    l, r = 2**i, 2 * 2**i
    if 2**i % a >= 2**i * 2 % a:
        break
print(l, r)
len = r - l
while len > 0:
    if (r - len) % a < r % a:
        r = r - len
    len = len // 2
print(l, r)
